diff options
author | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-05-06 02:22:06 +0000 |
---|---|---|
committer | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-05-06 02:22:06 +0000 |
commit | 741c1ef7a4f2ac316ad6e557ddbe03023413478d (patch) | |
tree | 38890f681daa26c57e865b4feca10d0ca53e1046 /tests/subids/44_usermod_-W_no_subgid/usermod.test | |
parent | Initial commit. (diff) | |
download | shadow-741c1ef7a4f2ac316ad6e557ddbe03023413478d.tar.xz shadow-741c1ef7a4f2ac316ad6e557ddbe03023413478d.zip |
Adding upstream version 1:4.5.upstream/1%4.5upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/subids/44_usermod_-W_no_subgid/usermod.test')
-rwxr-xr-x | tests/subids/44_usermod_-W_no_subgid/usermod.test | 64 |
1 files changed, 64 insertions, 0 deletions
diff --git a/tests/subids/44_usermod_-W_no_subgid/usermod.test b/tests/subids/44_usermod_-W_no_subgid/usermod.test new file mode 100755 index 0000000..da7788e --- /dev/null +++ b/tests/subids/44_usermod_-W_no_subgid/usermod.test @@ -0,0 +1,64 @@ +#!/bin/sh + +set -e + +cd $(dirname $0) + +. ../../common/config.sh +. ../../common/log.sh + +log_start "$0" "usermod -W fails is there is no subgid file" + +save_config + +# restore the files on exit +trap 'log_status "$0" "FAILURE"; restore_config' 0 + +change_config + +echo -n "remove /etc/subgid..." +rm -f /etc/subgid +echo "OK" + +echo -n "Remove subgid ranges to user foo (usermod -W 100000-100000 foo)..." +usermod -W 100000-100000 foo 2>tmp/usermod.err && exit 1 || { + status=$? +} +echo "OK" + +echo -n "Check returned status ($status)..." +test "$status" = "2" +echo "OK" + +echo "usermod reported:" +echo "=======================================================================" +cat tmp/usermod.err +echo "=======================================================================" +echo -n "Check that there were a failure message..." +diff -au data/usermod.err tmp/usermod.err +echo "error message OK." +rm -f tmp/usermod.err + +echo -n "Check the passwd file..." +../../common/compare_file.pl config/etc/passwd /etc/passwd +echo "OK" +echo -n "Check the group file..." +../../common/compare_file.pl config/etc/group /etc/group +echo "OK" +echo -n "Check the shadow file..." +../../common/compare_file.pl config/etc/shadow /etc/shadow +echo "OK" +echo -n "Check the gshadow file..." +../../common/compare_file.pl config/etc/gshadow /etc/gshadow +echo "OK" +echo -n "Check the /etc/subgid file..." +test ! -f /etc/subgid +echo "OK" +echo -n "Check the /etc/subuid file..." +../../common/compare_file.pl config/etc/subuid /etc/subuid +echo "OK" + +log_status "$0" "SUCCESS" +restore_config +trap '' 0 + |